# $Id$
# Authority: dries
# Upstream: Stephen McCamant <smcc$csua,berkeley,edu>

# %define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
# %define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name X11-Protocol

Summary: Perl module for the X Window System Protocol
Name: perl-X11-Protocol
Version: 0.56
Release: 1.1
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/X11-Protocol/
Packager: Richard Bos <richard@radoeka.nl>

Source: http://www.cpan.org/modules/by-module/X11/X11-Protocol-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
This is a module for the X Window System Protocol.

%prep
%setup -q -n %{real_name}-%{version}
perl Makefile.PL
%{__make} %{?_smp_mflags}
%makeinstall DESTDIR=$RPM_BUILD_ROOT
%if 0%{?suse_version}
%perl_process_packlist
%else
find $RPM_BUILD_ROOT -name perllocal.pod -exec rm {} \; >/dev/null
%endif
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%if 0%{?suse_version}
%files
%doc Changes README Todo
/usr/share/man/man3/*
/var/adm/perl-modules/perl-%{real_name}
%{perl_sitelib}/*
%ifarch %ix86
%{perl_sitelib}/i586-linux-thread-multi
%endif
%ifarch x86_64
%{perl_sitelib}/x86_64-linux-thread-multi
%endif

%else

%files -f ../file.list.%{name}

%endif



%changelog
* Sat Sep 22 2007 Carsten Schoene <cs@linux-administrator.com> - 0.56-1
- Updated to releas 0.56
- added BuildRequires for Fedora 7 

* Mon Jul 31 2006 Richard Bos <richard@radoeka.nl> - 0.55-1
- Initial build for opensuse

* Sun Mar 26 2006 Dries Verachtert <dries@ulyssis.org> - 0.55-1
- Updated to release 0.55.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.54-1.2
- Rebuild for Fedora Core 5.

* Wed Jun  8 2005 Dries Verachtert <dries@ulyssis.org> - 0.54-1
- Updated to release 0.54.

* Wed Dec 08 2004 Dries Verachtert <dries@ulyssis.org> - 0.53-1
- Initial package.

